## ros-melodic-gnss-utils 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gnss_utils)

SET (CMAKE_C_FLAGS      "-std=c++11")
SET (CMAKE_CXX_FLAGS    "-std=c++11")

find_package(catkin REQUIRED COMPONENTS
	geometry_msgs
    geographic_msgs
	roscpp
	rospy
	std_msgs
	mavros_msgs
)

catkin_package(
	INCLUDE_DIRS include
	LIBRARIES gnss_utils
    CATKIN_DEPENDS roscpp rospy std_msgs mavros_msgs geographic_msgs
)

include_directories(
	include
	${catkin_INCLUDE_DIRS}
)

# Declare a C++ library
add_library(
	${PROJECT_NAME}
    src/${PROJECT_NAME}/GNSS_utils.cpp
)

add_executable(LLA2ENU_node
	src/${PROJECT_NAME}/LLA2ENU.cpp
	src/${PROJECT_NAME}/LLA2ENU_node.cpp
    src/${PROJECT_NAME}/GNSS_utils.cpp
)

target_link_libraries(LLA2ENU_node
	${catkin_LIBRARIES}
)

add_dependencies(LLA2ENU_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(LLA2ENU_MavROS_node
	src/${PROJECT_NAME}/LLA2ENU_MavROS.cpp
	src/${PROJECT_NAME}/LLA2ENU_MavROS_node.cpp
    src/${PROJECT_NAME}/GNSS_utils.cpp
)

target_link_libraries(LLA2ENU_MavROS_node
	${catkin_LIBRARIES}
)

add_dependencies(LLA2ENU_MavROS_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

install(TARGETS ${PROJECT_NAME}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-gnss-utils (0.8.1-1bionic) bionic; urgency=high



 -- mmoreira <mmoreira@todo.todo>  Tue, 06 Jul 2021 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-gnss-utils
Section: misc
Priority: optional
Maintainer: mmoreira <mmoreira@todo.todo>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geographic-msgs, ros-melodic-mavros-msgs, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-gnss-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geographic-msgs, ros-melodic-mavros-msgs, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs
Description: The GNSS_utils package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-gnss-utils//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
